
#With default value every difficulty perk maxes out at difficulty 250
[general]
	#Mobs to include for the new light spawning rules.
	"Light list" = []
	#Should punish time skipping with e.g. bed, commands? If false, difficulty will increase by 0.1 regardless of skipped time.
	"Punish Time Skip" = true
	#Disable/Enable friendly fire for owned pets.
	FriendlyFire = false
	#Blacklist for pet you should't be able to give armor to. Pets from mods, which have custom armor should be included here.
	"Pet Blacklist" = []
	#Turn the list list whitelist to blacklist
	"Light list blacklist" = false
	#Treat pet blacklist as whitelist
	"Pet Whitelist" = false
	#Light level >= x will prevent mob spawning for defined mobs.
	#Range: 0 ~ 16
	Light = 7
	#Disable/Enables the whole difficulty scaling of this mod. Requires a mc restart
	"Enable difficulty scaling" = true
	#Time in ticks for which the difficulty shouldnt increase at the beginning. One full minecraft day is 24000 ticks
	"Difficulty Delay" = 24000
	#Wether difficulty should only increase with at least one online players or not
	"Ignore Players" = false
	#Increase difficulty with time
	#Here untill its back as a gamerule
	"Difficulty toggle" = true

#Black/Whitelist for various stuff
[list]
	#By default the mod only modifies EntityMobs. Add other entities here if you want to apply modifications to them. Usage:
	#<entity registry name> followed by any of:
	#[ALL,ATTRIBUTES,ARMOR,HELDITEMS,BLOCKBREAK,USEITEM,LADDER,STEAL,SWIMMRIDE,TARGETVILLAGER,REVERSE].
	#Leave empty to apply them all and REVERSE to reverse all flags. Some flags do nothing for certain mobs!
	#example: minecraft:sheep|REVERSE|ATTRIBUTES will add sheep to attributes modification (since default is a blacklist)
	#or minecraft:sheep|ATTRIBUTES will add sheep to everything except attributes
	"More Entities" = ["minecraft:cod", "zombie_extreme:survial", "minecraft:donkey", "minecraft:squid", "minecraft:mule", "minecraft:skeleton_horse", "minecraft:hoglin", "minecraft:strider", "minecraft:trader_llama", "minecraft:parrot", "minecraft:cow", "minecraft:zombie_horse", "securitycraft:sentry", "minecraft:horse", "minecraft:bee", "minecraft:polar_bear", "minecraft:cat", "minecraft:pufferfish", "minecraft:bat", "minecraft:wandering_trader", "guardvillagers:guard", "minecraft:salmon", "minecraft:fox", "minecraft:llama", "minecraft:pig", "minecraft:iron_golem", "minecraft:tropical_fish", "minecraft:turtle", "minecraft:sheep", "minecraft:ender_dragon", "minecraft:snow_golem", "minecraft:mooshroom", "minecraft:villager", "zombie_extreme:survival", "minecraft:ocelot", "minecraft:dolphin", "minecraft:chicken", "minecraft:wolf", "minecraft:panda", "minecraft:rabbit"]
	#Treat LADDER flags as whitelist
	"Ladder Whitelist" = false
	#Treat USEITEM flags as whitelist
	"Item Use Whitelist" = false
	#Treat ATTRIBUTES flags as whitelist
	"Attribute Whitelist" = false
	#Treat BLOCKBREAK flags as whitelist
	"Breaker Whitelist" = false
	#Treat HELDITEMS flags as whitelist
	"Held Equip Whitelist" = false
	#Treat STEAL flags as whitelist
	"Steal Whitelist" = false
	#Treat SWIMMRIDE flags as whitelist
	"Boat Whitelist" = false
	#Treat ARMOR flags as whitelist
	"Armor Equip Whitelist" = false
	#Treat TARGETVILLAGER flags as whitelist
	"Villager Whitelist" = false

#Debugging
[debug]
	#Enable showing of entity paths
	"Path Debugging" = false

#Settings for mod integration
[integration]
	#Should the scaling health mods difficulty system be used instead of this ones. (Requires scaling health mod)
	"Use Scaling Health Mod" = true
	#Should mobs be able to use techguns weapons. (Requires techguns mod)
	"Use Techguns Mod" = true
	#Should the coroutils repair block be used. (Requires coroutils mod)
	"Use CoroUtils Mod" = true
	#Should mobs be able to use weapons from the reforged mod. (Requires reforged mod)
	"Use Reforged Mod" = true

#Settings regarding custom ai for mobs
[ai]
	#Chance for a mob to be able to steal items
	#Range: 0.0 ~ 1.0
	"Stealer Chance" = 0.3
	#Treat Block Whitelist as Blocklist
	"Block as BlacklistBlock as Blacklist" = false
	#Chance for neutral mobs to be aggressive
	#Range: 0.0 ~ 1.0
	"Neutral Aggressive Chance" = 0.2
	#Should mobs be able to break tile entities? Evaluated before the break list
	"Break Tiles" = true
	#Chance for a mob to be able to break blocks
	#Range: 0.0 ~ 1.0
	"Breaker Chance" = 0.3
	#List for of pairs containing which mobs auto target others. Syntax is [mob id]-[mob id] where second value is the target.
	# e.g. minecraft:zombie-minecraft:skeleton makes all zombies target skeletons
	"Auto Target List" = []
	#Difficulty at which mobs are able to break blocks
	"Difficulty Break AI" = 5.0
	#Difficulty at which mobs are able to steal items
	"Difficulty Steal AI" = 0.0
	#Use the block breaking sound instead of a knocking sound
	Sound = false
	#Whitelist for blocks, which can be actively broken. Usage: <registry name;classname;tag> put "!" infront to exclude blocks
	"Block Whitelist" = ["forge:glass", "forge:glass_panes", "minecraft:fence_gates", "forge:fence_gates", "minecraft:wooden_doors"]
	#Item which will be given to mobs who can break blocks. Set to nothing to not give any items.
	"Breaking item" = "zombie_extreme:fireaxe"
	#Delay for the coroutil repair block. Coroutil integration needs to be enabled
	"Repair Ticks" = 500

#Configs regarding mobs spawning with equipment
[equipment]
	#Base chance for each armor pieces to get enchanted
	#Range: 0.0 ~ 1.0
	"Enchanting Chance" = 0.2
	#Specify min and max enchanting levels according to difficulty. difficulty-minLevel-maxLevel
	"Enchanting Calc" = ["0-5-10", "25-5-15", "50-10-17", "100-15-25", "200-20-30", "250-30-35"]
	#Adds additional x*difficulty% to base enchanting chance
	"Enchanting Addition" = 0.2
	#Base chance that a mob can have one piece of armor
	#Range: 0.0 ~ 1.0
	"Equipment Chance" = 0.1
	#Chance for mobs to have a weapon
	#Range: 0.0 ~ 1.0
	"Weapon Chance" = 0.05
	#Should mobs drop the armor equipped through this mod? (Other methods e.g. through vanilla is not included)
	"Should drop equipment" = false
	#Adds additional x*difficulty% to base item chance
	"Item Chance add" = 0.2
	#Base chance for each additional armor pieces
	#Range: 0.0 ~ 1.0
	"Additional Equipment Chance" = 0.3
	#Chance for mobs to have an item in offhand
	#Range: 0.0 ~ 1.0
	"Item Equip Chance" = 0.05
	#Blacklist for mods. Add modid to prevent items from that mod being used. (For individual items use the equipment.json)
	"Item Blacklist" = []
	#Adds additional x*difficulty% to base equip chance
	"Equipment Addition" = 0.3
	#Adds additional x*difficulty% to base weapon chance
	"Weapon Chance Add" = 0.3
	#Use blacklist as whitelist
	"Item Whitelist" = false

#Settings for attribute modifiers
[attributes]
	#Maximum increase in magic resistance. Magic reduction is percentage
	#Range: 0.0 ~ 1.0
	"Max Magic Resistance" = 0.4
	#Maximum increase in knockback
	"Max Knockback" = 0.5
	#Magic resistance will be increased by difficulty*0.0016*x. Set to 0 to disable
	"Magic Resistance Increase" = 1.0
	#Speed will be increased by difficulty*0.0008*x. Set to 0 to disable
	"Speed Increase" = 1.0
	#Damage will be multiplied by difficulty*0.008*x. Set to 0 to disable
	"Damage Increase Multiplier" = 1.0
	#Projectile damage will be multiplied by maximum of this
	"Max Projectile Damage" = 2.0
	#Round health to the nearest x. Set to 0 to disable
	"Round HP" = 0.5
	#Projectile Damage will be multiplied by 1+difficulty*0.008*x. Set to 0 to disable
	"Projectile Damage Increase" = 1.0
	#Health will be multiplied by difficulty*0.016*x. Set to 0 to disable
	"Health Increase Multiplier" = 1.0
	#Damage will be multiplied by at maximum this. Set to 0 means no limit
	"Max Damage Increase" = 3.0
	#Health will be multiplied by at maximum this. Set to 0 means no limit
	"Max Health Increase" = 5.0
	#Knockback will be increased by difficulty*0.002*x. Set to 0 to disable
	"Knockback Increase" = 1.0
	#Maximum increase in speed
	#Range: 0.0 ~ 1.0
	"Max Speed" = 0.1

